Licensing Reports - Download Licensing Report File
Download Licensing Report File.
Downloads a generated licensing report as a gzip-compressed CSV file. Use the file name returned by a report operation with a Succeeded status.
GET https://api.powerplatform.com/copilotstudio/licensing/reports/{ReportName}/files/{FileName}?api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
File
|
path | True |
string |
The report file name, returned by a report operation with a Succeeded status. |
|
Report
|
path | True |
string |
The name of the generated report. |
|
api-version
|
query | True |
string |
The API version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
string |
The report file as a gzip-compressed CSV. Media Types: "application/gzip" Headers Content-Disposition: string |
| 401 Unauthorized |
Unauthorized. A valid access token is required. Media Types: "application/gzip" |
|
| 403 Forbidden |
Forbidden. The caller must be a Global, Dynamics 365, or Power Platform administrator of the tenant. Media Types: "application/gzip" |
|
| 404 Not Found |
Not found. The file doesn't exist, doesn't belong to your tenant, or licensing reports aren't available for the tenant. Media Types: "application/gzip" |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |